#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['pyannotators_zeroshotclassifier']

package_data = \
{'': ['*']}

package_dir = \
{'': 'src'}

install_requires = \
['pymultirole-plugins>=0.5.0,<0.6.0',
 'torch==1.8.1',
 'protobuf==3.20.3',
 'sentencepiece==0.1.96',
 'transformers==4.12.0',
 'PyICU']

extras_require = \
{'dev': ['flit', 'pre-commit', 'bump2version'],
 'docs': ['sphinx',
          'sphinx-rtd-theme',
          'm2r2',
          'sphinxcontrib.apidoc',
          'jupyter_sphinx'],
 'test': ['pytest',
          'pytest-cov',
          'pytest-flake8',
          'pytest-black',
          'flake8==3.9.2',
          'tox',
          'scikit-learn']}

entry_points = \
{'pyannotators.plugins': ['zeroshotclassifier = '
                          'pyannotators_zeroshotclassifier.zeroshotclassifier:ZeroShotClassifierAnnotator']}

setup(name='pyannotators-zeroshotclassifier',
      version='0.5.224',
      description='Annotator based on Huggingface transformers zero-shot classification pipeline',
      author='Olivier Terrier',
      author_email='olivier.terrier@kairntech.com',
      url='https://github.com/oterrier/pyannotators_zeroshotclassifier/',
      packages=packages,
      package_data=package_data,
      package_dir=package_dir,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='>=3.8',
     )
